package com.steerinfo.meterwork.meterworkbeltxiaopi.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="皮带秤校皮记录")
public class MeterWorkBeltXiaopi implements IBasePO<String> {
    /**
     * 校皮编码(YYYYMMDD+8位流水)(CHECKBELT_NO,VARCHAR,50)
     */
    @ApiModelProperty(value="校皮编码(YYYYMMDD+8位流水)",required=true)
    private String checkbeltNo;

    /**
     * 预报编号(YYYYMMDD+8位流水)(PREDICTION_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="预报编号(YYYYMMDD+8位流水)",required=false)
    private String predictionNo;

    /**
     * 产品名称(PRODUCT_NAME,VARCHAR,60)
     */
    @ApiModelProperty(value="产品名称",required=false)
    private String productName;

    /**
     * 产品名称编号(PRODUCT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="产品名称编号",required=false)
    private String productNo;

    /**
     * 创建人编号(CREATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="创建人编号",required=false)
    private String createManNo;

    /**
     * 创建人姓名(CREATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="创建人姓名",required=false)
    private String createManName;

    /**
     * 创建时间(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="创建时间",required=false)
    private Date createTime;

    /**
     * 计量点编号(BASE_SPOT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="计量点编号",required=false)
    private String baseSpotNo;

    /**
     * 计量点名称(BASE_SPOT_NAME,VARCHAR,40)
     */
    @ApiModelProperty(value="计量点名称",required=false)
    private String baseSpotName;

    /**
     * 零点(NEW_ZERO,DECIMAL,15)
     */
    @ApiModelProperty(value="零点",required=false)
    private BigDecimal newZero;

    /**
     * 秤体（AB秤）(SCALE_NAME,VARCHAR,20)
     */
    @ApiModelProperty(value="秤体（AB秤）",required=false)
    private String scaleName;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.checkbeltNo;
    }

    @Override
    public void setId(String checkbeltNo) {
        this.checkbeltNo = checkbeltNo == null ? null : checkbeltNo.trim();
    }

    public String getCheckbeltNo() {
        return checkbeltNo;
    }

    public void setCheckbeltNo(String checkbeltNo) {
        this.checkbeltNo = checkbeltNo == null ? null : checkbeltNo.trim();
    }

    public String getPredictionNo() {
        return predictionNo;
    }

    public void setPredictionNo(String predictionNo) {
        this.predictionNo = predictionNo == null ? null : predictionNo.trim();
    }

    public String getProductName() {
        return productName;
    }

    public void setProductName(String productName) {
        this.productName = productName == null ? null : productName.trim();
    }

    public String getProductNo() {
        return productNo;
    }

    public void setProductNo(String productNo) {
        this.productNo = productNo == null ? null : productNo.trim();
    }

    public String getCreateManNo() {
        return createManNo;
    }

    public void setCreateManNo(String createManNo) {
        this.createManNo = createManNo == null ? null : createManNo.trim();
    }

    public String getCreateManName() {
        return createManName;
    }

    public void setCreateManName(String createManName) {
        this.createManName = createManName == null ? null : createManName.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getBaseSpotNo() {
        return baseSpotNo;
    }

    public void setBaseSpotNo(String baseSpotNo) {
        this.baseSpotNo = baseSpotNo == null ? null : baseSpotNo.trim();
    }

    public String getBaseSpotName() {
        return baseSpotName;
    }

    public void setBaseSpotName(String baseSpotName) {
        this.baseSpotName = baseSpotName == null ? null : baseSpotName.trim();
    }

    public BigDecimal getNewZero() {
        return newZero;
    }

    public void setNewZero(BigDecimal newZero) {
        this.newZero = newZero;
    }

    public String getScaleName() {
        return scaleName;
    }

    public void setScaleName(String scaleName) {
        this.scaleName = scaleName == null ? null : scaleName.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", checkbeltNo=").append(checkbeltNo);
        sb.append(", predictionNo=").append(predictionNo);
        sb.append(", productName=").append(productName);
        sb.append(", productNo=").append(productNo);
        sb.append(", createManNo=").append(createManNo);
        sb.append(", createManName=").append(createManName);
        sb.append(", createTime=").append(createTime);
        sb.append(", baseSpotNo=").append(baseSpotNo);
        sb.append(", baseSpotName=").append(baseSpotName);
        sb.append(", newZero=").append(newZero);
        sb.append(", scaleName=").append(scaleName);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}